+ Post New Thread
Page 358 of 489 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 12219

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 28,077
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 44,796
    18th Sep 2006 10:46 pm Go to last post
  1. Can I use FLATSHOT in Autolisp code?

    Hi everybody... Can I use FLATSHOT in Autolisp code? I wrote this code: {{ (defun C:spring1 () (command "._helix" "0,0" "2" "2" "turns" "7" "10")

    Started by DryWater‎, 4th Apr 2009 05:02 pm
    • Replies: 2
    • Views: 1,576
    4th Apr 2009 05:40 pm Go to last post
  2. Unhappy -Eattext on the commandline...

    Hey guys, I'm not sure if there is a way to do this, but I'm trying to create an automation program that runs "-eattext" from the command line and I've ran into a few problems with this: When I...

    Started by ChristinaSeay‎, 3rd Apr 2009 07:51 pm
    • Replies: 5
    • Views: 1,810
    4th Apr 2009 05:05 pm Go to last post
  3. Until enter pressed ?

    I would like to make a "Multiple" kind of command that would be continuously asking user to "Pick object", change it and ask for another one. Until user would hit "Enter" or "Space" (or esc of...

    Started by chavlji‎, 3rd Apr 2009 07:49 pm
    • Replies: 5
    • Views: 2,138
    4th Apr 2009 01:39 pm Go to last post
  4. Deleted XRefs still show up in Blocks

    Hi, I implemented some code to save the list of all XRefs in a drawing, and I need to know which XRefs have been added/removed when closing that same drawing. To do this, I tried catching both...

    Started by metiu‎, 4th Apr 2009 12:00 pm
    • Replies: 0
    • Views: 743
    4th Apr 2009 12:00 pm Go to last post
  5. my lisp stops when selection set = 0

    I did try to search the forum before posting, but since I'm not even sure what I'm looking for I gave up on that. Ok, so I'm playing around with lisps. i have multiple setq lines that are using...

    Started by vladthedog‎, 2nd Apr 2009 06:58 pm
    • Replies: 8
    • Views: 2,874
    4th Apr 2009 11:32 am Go to last post
  6. Need help getting LiSP from R12 working in Acad2007

    Where I work, we have LISP file that was used in Autocad R12.. It's used to name a closed polyline, and insert text within that polyline. I'm trying to use it in AutoCAD 2007, but can't seem to...

    Started by x3ro‎, 1st Apr 2009 05:48 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 2,703
    3rd Apr 2009 11:09 pm Go to last post
  7. Question nentsel - Parent of attribute ?

    If i select block's attribut using nentsel the function returns atribute's entity name as a first element of returned list. How would I then get the name of parent entity - that is the name of the...

    Started by chavlji‎, 1st Apr 2009 04:12 pm
    • Replies: 2
    • Views: 1,312
    3rd Apr 2009 07:40 pm Go to last post
  8. "Image" Menu into AutoCAD Classic

    Hello everyone, I have the Autodesk Civil 3D 2008. When using the AutoCAD Classic the "Image" menu disappears and I've tried just about everything. I used "appload" and loaded the arx file. I used...

    Started by Vikes_Fl‎, 3rd Apr 2009 04:05 pm
    • Replies: 2
    • Views: 2,436
    3rd Apr 2009 06:21 pm Go to last post
  9. Resize attribute value

    As my script resizes blocks, all the values remain the same size. If I explode a block then the tags are notably resized. Now I can get to the attribues using entnext or nentsel but I'm struggling to...

    Started by Johntosh‎, 3rd Apr 2009 01:55 pm
    • Replies: 5
    • Views: 1,218
    3rd Apr 2009 05:49 pm Go to last post
  10. Automatically add Z coordinates with block

    Hi all, My very first thread here... I read this forum for a long time and it's been really (really) helpfull. But I just can't seem to figure out my next problem: When I insert a block...

    Started by MDsign‎, 3rd Apr 2009 09:16 am
    • Replies: 3
    • Views: 1,475
    3rd Apr 2009 09:54 am Go to last post
  11. VBA line drawing

    Its me again... :) (aCad 2007) I am trying to use VBA to draw a line with a text block and am looking for the best way to do that. I am using: Dim obj As AcadLine Set obj =...

    Started by jakebullet70‎, 27th Mar 2009 08:01 am
    • Replies: 8
    • Views: 2,037
    3rd Apr 2009 01:23 am Go to last post
  12. Last point in a lisp

    hi i am very new to lisps i only started looking at them today and i am wondering how to use the last selected point so i draw a line which is simple but how do i select one more...

    Started by Delta-Sword‎, 2nd Apr 2009 09:59 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 2,980
    2nd Apr 2009 10:57 pm Go to last post
  13. Searching for active Profile

    Is there a way in Lisp to figure out the active Profile. We use several different profiles for each client, and of course, they all do things differently. I need to be able to figure out which...

    Started by Archiman86‎, 2nd Apr 2009 03:16 pm
    • Replies: 3
    • Views: 887
    2nd Apr 2009 09:21 pm Go to last post
  14. How do you modify Dimension Txt rotation?

    How do you change the rotation angle of the dimension text? Here is my lisp routine: ------------------------------------------------------------ (defun C:ILL () (command "-dimstyle" "r"...

    Started by catmando‎, 2nd Apr 2009 06:07 pm
    • Replies: 0
    • Views: 779
    2nd Apr 2009 06:07 pm Go to last post
  15. Updating a specific attribute inside a folder of AutoCAD drawings using RealDWG from

    Could please anyone know how to connect/run/load this proggram with auto cad 2006 or 2008 1 using Autodesk.AutoCAD.DatabaseServices; 2 using Autodesk.AutoCAD.Runtime; 3 using...

    Started by wakibd‎, 2nd Apr 2009 01:05 pm
    • Replies: 0
    • Views: 1,011
    2nd Apr 2009 01:05 pm Go to last post
  16. Redraw

    Hi, Does anyone nows the command to redraw in VBA. I can't find it. Regards and thanks!!! Thomy

    Started by Thomy‎, 2nd Apr 2009 09:06 am
    • Replies: 6
    • Views: 2,091
    2nd Apr 2009 01:03 pm Go to last post
  17. Increase z value and change text to z value

    Hallo I am a new user on Autocad and this fortum. Have run Microstation before and this is very new for me. I got a problem. I have more then >100 dwg files there i need too increase postions...

    Started by automicro‎, 4th Mar 2009 09:29 am
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 5,431
    2nd Apr 2009 10:26 am Go to last post
  18. help with macro

    I've got a block that's used for titleblock information with attributes including drawing title, date, drawn by, checked by, etc. Is there a macro or a lisp routine that can be used to automatically...

    Started by atb1984‎, 1st Apr 2009 02:17 pm
    • Replies: 5
    • Views: 1,179
    2nd Apr 2009 10:25 am Go to last post
  19. Match Property's Cursor

    hi, I want to add Cursor like Autocad's Match Property's "Paint Brush" Cursor in my lisp file. Have any idea ?? Thanks.

    Started by dcpanchal_2005‎, 1st Apr 2009 04:58 pm
    • Replies: 0
    • Views: 882
    1st Apr 2009 04:58 pm Go to last post
  20. Question Question about colors

    Hey i threw together this simple lisp routine that just changes the color of you specific layer ex. LAYER=STEEL COLOR=YELLOW it will change it to LAYER=STEEL COLOR=RED or COLOR=COLOR 10. But here is...

    Started by BLOACH85‎, 1st Apr 2009 12:54 pm
    • Replies: 4
    • Views: 760
    1st Apr 2009 02:38 pm Go to last post
  21. Code to change text height

    ;q ;q (defun chgtext1() (setvar "cmdecho" 0) (setq newht (getreal "\n Enter new text height; ")) (setq ss1 (ssget)) (setq name (ssname ss1 0)) (setq ent (entget name)) (setq oldlist (assoc 40...

    Started by JONTHEPOPE‎, 30th Jul 2008 04:25 pm
    • Replies: 4
    • Views: 5,593
    1st Apr 2009 12:16 pm Go to last post
  22. Output only PART of text string to .txt file

    At the moment I have a string of text to represent a wire TB - K201/1.0mm/GY or K201/1.0mm/GY - TB dependant on which side of equipment it's attached to. I need to extract the K201 (wire No.) part to...

    Started by RocketBott‎, 27th Mar 2009 10:45 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 2,745
    1st Apr 2009 12:04 pm Go to last post
  23. How Change Line Length Depend On Attribute Value Change

    How Change Line Length Depend On Attribute Value Change? By Any Way Lisp Or Vba

    Started by MR MAN‎, 31st Mar 2009 03:26 pm
    • Replies: 4
    • Views: 3,218
    1st Apr 2009 03:08 am Go to last post
  24. Can VBA used to move entities to layer 0

    Can VBA be used move a group of all entities a given layer in a drawing (Say e1) to layer 0 then delete e1? Can that be done? If this can be done I am thinking about putting this in a batch...

    Started by muck‎, 31st Mar 2009 06:41 pm
    • Replies: 4
    • Views: 1,831
    31st Mar 2009 09:55 pm Go to last post
  25. Need Lisp to change Oblique Dim text rotation.

    Hello, Im looking for a lisp routine that changes oblique dims text rotation. The text defaults sets it to read perpendicular to the line. I would like it to be read at a 90 degree for up and...

    Started by catmando‎, 31st Mar 2009 07:39 pm
    • Replies: 0
    • Views: 1,566
    31st Mar 2009 07:39 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts